# $Revision: 1.25 $, $Date: 2007/03/20 10:36:00 $
Summary:	A front end for testing other programs
Summary(pl.UTF-8):	Platforma do testowania innych programów
Name:		dejagnu
Version:	1.4.4
Release:	2
Epoch:		1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.gnu.org/gnu/dejagnu/%{name}-%{version}.tar.gz
# Source0-md5:	053f18fd5d00873de365413cab17a666
Patch0:		%{name}-ac_fixes.patch
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	tcl >= 8.0
Requires:	expect >= 5.21
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%description -l pl.UTF-8
DejaGnu jest platformą bazującą na Expect'ie i Tcl służąca do
testowania innych programów. DejaGnu umożliwia łatwe tworzenie testów
do niemal dowolnego programu, uruchamiania ich na różnych platformach
sprzętowych oraz zapewnia jednolity format raportów z przebiegu
testowania.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %config site.exp
%doc NEWS README AUTHORS ChangeLog doc/overview.* doc/README.Writers doc/ref* doc/user* doc/dejagnu* doc/html
%attr(755,root,root) %{_bindir}/runtest
%dir %{_datadir}/dejagnu
%attr(755,root,root) %{_datadir}/dejagnu/runtest.exp
%dir %{_datadir}/dejagnu/libexec
%attr(755,root,root) %{_datadir}/dejagnu/libexec/config.guess
%{_datadir}/dejagnu/[^crl]*
%{_datadir}/dejagnu/rlogin.exp
%{_datadir}/dejagnu/remote.exp
%{_datadir}/dejagnu/rsh.exp
%{_datadir}/dejagnu/libgloss.exp
%{_datadir}/dejagnu/config
%{_mandir}/man1/*
%{_includedir}/dejagnu.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dejagnu.spec,v $
Revision 1.25  2007/03/20 10:36:00  pluto
- noarch, /usr/bin/runtest is a shell script, release 2.

Revision 1.24  2007/03/16 20:12:52  arekm
- missing dir

Revision 1.23  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.21  2005/07/04 00:51:59  undefine
- rel 1

Revision 1.20  2005/04/03 13:05:14  glen
- cleanups

Revision 1.19  2005/01/10 10:54:48  tommat
- removed useless dejagnu-am_fixes.patch

Revision 1.18  2005/01/05 23:54:12  tommat
- added autoconf patch, rel 0.2

Revision 1.17  2005/01/05 22:13:18  tommat
- started update to 1.4.4
- rel 0.1

Revision 1.16  2003/06/22 13:10:58  misi3k
- patch0 back online

Revision 1.15  2003/06/22 13:00:54  misi3k
- updated to 1.4.3
- rel 0.9
  Note: not tested

Revision 1.14  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.13  2003/05/25 05:46:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/10/10 13:20:36  marcus
- use new %doc

Revision 1.11  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/05/21 23:12:47  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.9  2002/05/05 12:17:23  kloczek
- typos.

Revision 1.8  2002/05/05 12:14:29  kloczek
- added Epoch: 1.

Revision 1.7  2002/05/05 12:13:18  kloczek
- regenerate ac/am files and use %configure macro (added am_fixes aptch),
- INSTALL removed from %doc and added gzipping %doc files,
- siplify %install and few cosmetics.

Revision 1.6  2002/04/25 16:10:11  arturs
- fixed a small typo

Revision 1.5  2002/02/23 01:44:58  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/01/18 02:12:40  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/09/18 13:54:49  ankry
- updated source URL

Revision 1.1  2001/08/07 16:41:51  pawelk
- adaptarized and manually corrected spec from redhat; rel 1

* Wed Feb 21 2001 Rob Savoye <rob@welcomehome.org>
- Fixed Requires line, and changed the URL to the new ftp site.

* Sun Oct 31 1999 Rob Savoye <rob@welcomehome.org>
- updated to the latest snapshot
- added doc files
- added the site.exp config file

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated to 19990628
- updated patches as needed
- added %defattr in files section

* Wed Mar 10 1999 Jeff Johnson <jbj@redhat.com>
- add alpha expect patch (#989)
- use %configure

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- Update to 19981215.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-10-29.

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-05-28.

* Sun Feb  1 1998 Jeff Johnson <jbj@jbj.org>
- Create.
